require 'test_helper'

class AccountMailerTest < ActionMailer::TestCase

  def setup
    @account = FactoryGirl.create(:buyer_account)
  end

  test 'send mails' do
    AccountMailer.confirmed(@account).deliver!
    AccountMailer.approved(@account).deliver!
    AccountMailer.rejected(@account).deliver!
    assert_equal 3, ActionMailer::Base.deliveries.count
  end

end
